Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Flächeninformation

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  Flächeninformation (3595 mal gelesen)
Balrok
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Balrok an!   Senden Sie eine Private Message an Balrok  Schreiben Sie einen Gästebucheintrag für Balrok

Beiträge: 428
Registriert: 02.06.2005

Win10, 64Bit
AutoCad Architcture 2021
LiNear 2021
EPLAN P8

erstellt am: 01. Jul. 2010 14:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Deutschland-Fans, 

ich habe mal eine Frage. Gibt es ein Tool (lisp)
womit es mir möglich ist, automatisch die Informationen
einer geschlossenen Polylinie in die Zeichnung zu schreiben?
Z.B. Fläche und Umfang.

Bis lang schaue ich mit Befehl Liste die Informationen nach
und muss sie dann schriftlich übernehmen. Wäre super wenn es
ein Befehl geben würde, wo die Infos dann direkt in die Zeichnung geschrieben
werden.

Falls einer eine Lösung hat, kann Sie mir gerne mitteilen! 

Gruß
Balrok

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

charlieBV
Ehrenmitglied V.I.P. h.c.
Bauzeichnerin



Sehen Sie sich das Profil von charlieBV an!   Senden Sie eine Private Message an charlieBV  Schreiben Sie einen Gästebucheintrag für charlieBV

Beiträge: 9317
Registriert: 28.08.2003

erstellt am: 01. Jul. 2010 14:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Balrok 10 Unities + Antwort hilfreich

Du hast doch ADT... dann nutze es doch auch 

------------------
Gruß Yvonne
Inoffizielle ADT-Help-Site

"Gehe nicht, wohin der Weg führen mag, sondern dorthin, wo kein Weg ist, und hinterlasse eine Spur."
Jean Paul

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13508
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 01. Jul. 2010 14:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Balrok 10 Unities + Antwort hilfreich

seh ich auch so .. aber acadpur und quick und dirty machts vielleicht auch der codeschnipsel :
(defun c:stempel( / OBJ A L)
(if(and(setq OBJ(car(entsel "\nPolylinie wählen:")))
       (setq OBJ(vlax-ename->vla-object OBJ))
       (setq A (vla-get-area OBJ))
       (setq L (vla-get-length OBJ))
   )
  (command "_mtext" pause pause (strcat "Fläche: "(vl-princ-to-string A) "\nUmfang: " (vl-princ-to-string L))"")
)
)

was mit _field ist auch nicht schlecht ...
------------------
      - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Balrok
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Balrok an!   Senden Sie eine Private Message an Balrok  Schreiben Sie einen Gästebucheintrag für Balrok

Beiträge: 428
Registriert: 02.06.2005

Win10, 64Bit
AutoCad Architcture 2021
LiNear 2021
EPLAN P8

erstellt am: 01. Jul. 2010 14:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich weiß aber wir haben welche die nicht mit ADT arbeiten
und die haben diese Möglichkeit nicht.

Mit diesem Codeschnipsel kenn ich mich nicht wirklich aus.
Ich denke ich muss das im Visual LSIP eingeben, oder?

Danke schon jetzt!
Balrok

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Balrok
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Balrok an!   Senden Sie eine Private Message an Balrok  Schreiben Sie einen Gästebucheintrag für Balrok

Beiträge: 428
Registriert: 02.06.2005

Win10, 64Bit
AutoCad Architcture 2021
LiNear 2021
EPLAN P8

erstellt am: 01. Jul. 2010 14:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Codeschnipsel funktioniert gut.
Was muss ich ändern damit er mir nur zwei
Stellen hinterm Komma raus bringt?
...und bei 19,80 auch 19,80 schreibt und nicht 19,8
Vielleicht auch noch m2 und m dahinter schreibt?

Ich weiß, ich sollte mein Hirn selbst mal überlegen lassen,
aber ich kenne mich mit dem LSIP Programm wirklich nicht aus   und
irgendwann muss ich das auch mal lernen aber dafür habe ich
momentan sehr wenig Zeit! 

Danke, danke, danke!!!
Balrok

[Diese Nachricht wurde von Balrok am 01. Jul. 2010 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

siko04
Mitglied
Bauzeichnerin


Sehen Sie sich das Profil von siko04 an!   Senden Sie eine Private Message an siko04  Schreiben Sie einen Gästebucheintrag für siko04

Beiträge: 303
Registriert: 09.10.2008

ACAD 2018

erstellt am: 01. Jul. 2010 14:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Balrok 10 Unities + Antwort hilfreich

Hast du die LSP.datei selber geschrieben und wenn ja wie funktioniert es?
Könnte ich auch gut gebrauchen, denn das ewige Schreiben nervt
Danke 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

E-Boy
Ehrenmitglied V.I.P. h.c.
Elektroinstallateurmeister



Sehen Sie sich das Profil von E-Boy an!   Senden Sie eine Private Message an E-Boy  Schreiben Sie einen Gästebucheintrag für E-Boy

Beiträge: 2731
Registriert: 23.06.2005

Autocad MEP 2019
E-Tools
Win 10

erstellt am: 01. Jul. 2010 14:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Balrok 10 Unities + Antwort hilfreich

Aus den FAQ's

------------------
Gruß Stefan

  Nur Feiglinge speichern zwischen.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dorfy
Mitglied
Double-Dipl.-Ing. Bleistiftanspitzer


Sehen Sie sich das Profil von Dorfy an!   Senden Sie eine Private Message an Dorfy  Schreiben Sie einen Gästebucheintrag für Dorfy

Beiträge: 900
Registriert: 21.07.2006

AutoCad2007, ProE, HiCad

erstellt am: 01. Jul. 2010 16:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Balrok 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Balrok:
Codeschnipsel funktioniert gut.
Was muss ich ändern damit er mir nur zwei
Stellen hinterm Komma raus bringt?
...und bei 19,80 auch 19,80 schreibt und nicht 19,8
Vielleicht auch noch m2 und m dahinter schreibt?

(command "_mtext" pause pause (strcat "Fläche: "(rtos A 2 2)" m²" "\nUmfang: "(rtos L 2 2)" m") "")

------------------
Mfg Heiko

Elefantenjagd in Afrika
"... LISP-Programmierer bauen einen Irrgarten aus Klammern und hoffen, dass sich der Elefant darin verirrt..."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

siko04
Mitglied
Bauzeichnerin


Sehen Sie sich das Profil von siko04 an!   Senden Sie eine Private Message an siko04  Schreiben Sie einen Gästebucheintrag für siko04

Beiträge: 303
Registriert: 09.10.2008

ACAD 2018

erstellt am: 02. Jul. 2010 07:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Balrok 10 Unities + Antwort hilfreich

Habe da eine Zusatzfrage
Muss ich den ganzen Buchstabensalat hintereinander weg schreiben ohne Leertast und so und auch die beiden Wörter pause pause

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dorfy
Mitglied
Double-Dipl.-Ing. Bleistiftanspitzer


Sehen Sie sich das Profil von Dorfy an!   Senden Sie eine Private Message an Dorfy  Schreiben Sie einen Gästebucheintrag für Dorfy

Beiträge: 900
Registriert: 21.07.2006

AutoCad2007, ProE, HiCad

erstellt am: 02. Jul. 2010 07:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Balrok 10 Unities + Antwort hilfreich

USER FAQ und hier dann APPLOAD: Wie LISP Tool laden ?

bei Zeiten mal durchlesen 

nein, die Zeile Im Code von CADmium austauschen...

------------------
Mfg Heiko

Elefantenjagd in Afrika
"... LISP-Programmierer bauen einen Irrgarten aus Klammern und hoffen, dass sich der Elefant darin verirrt..."

[Diese Nachricht wurde von Dorfy am 02. Jul. 2010 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

charlieBV
Ehrenmitglied V.I.P. h.c.
Bauzeichnerin



Sehen Sie sich das Profil von charlieBV an!   Senden Sie eine Private Message an charlieBV  Schreiben Sie einen Gästebucheintrag für charlieBV

Beiträge: 9317
Registriert: 28.08.2003

erstellt am: 02. Jul. 2010 07:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Balrok 10 Unities + Antwort hilfreich

Hi,

Kopiere Cadmiums Text in eine txt-Datei, ersetze die eine Zeile mit Dorfys neuer Zeile, speicher alles unter stempel.lsp ab. Dann liest du dir den Link von E-Boy zum laden von Lisp-Dateien durch und freust dich einfach 

------------------
Gruß Yvonne
Inoffizielle ADT-Help-Site

"Gehe nicht, wohin der Weg führen mag, sondern dorthin, wo kein Weg ist, und hinterlasse eine Spur."
Jean Paul

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Balrok
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Balrok an!   Senden Sie eine Private Message an Balrok  Schreiben Sie einen Gästebucheintrag für Balrok

Beiträge: 428
Registriert: 02.06.2005

Win10, 64Bit
AutoCad Architcture 2021
LiNear 2021
EPLAN P8

erstellt am: 02. Jul. 2010 07:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@siko04: Zumindest funktioniert es so!!!

Danke Leute!!! 

Gruß
Balrok 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dorfy
Mitglied
Double-Dipl.-Ing. Bleistiftanspitzer


Sehen Sie sich das Profil von Dorfy an!   Senden Sie eine Private Message an Dorfy  Schreiben Sie einen Gästebucheintrag für Dorfy

Beiträge: 900
Registriert: 21.07.2006

AutoCad2007, ProE, HiCad

erstellt am: 02. Jul. 2010 07:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Balrok 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von siko04:
Hast du die LSP.datei selber geschrieben und wenn ja wie funktioniert es?
Könnte ich auch gut gebrauchen, denn das ewige Schreiben nervt
Danke  

Ich würde sagen er hat sie selber geschrieben, da er es kann und suchen länger dauert 

Wie funktioniert es:
Links von Bartl mal jemand der ein wenig zusammen getragen hat
ein muss - autolisp-tutorial.mapcar
zwei muss - autolisp.mapcar 
Das Kochbuch Autolisp wirst du nur noch schwer bekommen aber AutoCAD 2010: Handbuch von A - Z hier liegt es bei --> das "muss" als Buch 

So jetzt noch viel Zeit und Geduld und Verstand und Grips und ein starker Wille und ... 
Andere Sprachen siehe Seite(n) von Bartl
Viel Spass...


------------------
Mfg Heiko

Elefantenjagd in Afrika
"... LISP-Programmierer bauen einen Irrgarten aus Klammern und hoffen, dass sich der Elefant darin verirrt..."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Balrok
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Balrok an!   Senden Sie eine Private Message an Balrok  Schreiben Sie einen Gästebucheintrag für Balrok

Beiträge: 428
Registriert: 02.06.2005

Win10, 64Bit
AutoCad Architcture 2021
LiNear 2021
EPLAN P8

erstellt am: 09. Mai. 2011 11:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

ich habe ein neuen Rechner bekommen und wollte mit ACAD2011
die o.g. lsp-Datei wieder neu einrichten.

Er schreibt mir nun folgende Fehlermeldung:

Polylinie wählen:; Fehler: no function definition: VLAX-ENAME->VLA-OBJECT

Wie kann ich den Fehler beheben, was muss ich tun?

HILFE!!! 

Balrok

------------------
[ img ]http://ww3.cad.de/foren/ubb/uploads/Balrok/Homer_Bit_Apple.jpg[ /img ]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

runkelruebe
Moderator
Straßen- / Tiefbau




Sehen Sie sich das Profil von runkelruebe an!   Senden Sie eine Private Message an runkelruebe  Schreiben Sie einen Gästebucheintrag für runkelruebe

Beiträge: 8075
Registriert: 09.03.2006

Kinder, kauft Kämme!
Es kommen lausige Zeiten.

erstellt am: 09. Mai. 2011 11:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Balrok 10 Unities + Antwort hilfreich

>> Wie kann ich den Fehler beheben, was muss ich tun?

Du mußt nur Fehler: no function definition: VLAX- bei google eintippen, den ersten Treffer anklicken und die dort gezeigte Lösung umsetzen 

Schreib Dir das (vl-load-com) einfach mit in Deine acad.lsp.

------------------
Gruß,
runkelruebe          Herr Kann-ich-nich wohnt in der Will-ich-nich-Straße...

System-Info | Dateianhänge | FAQ-ACAD | CAD.de-Hilfe | Sei eine Antilope

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Balrok
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Balrok an!   Senden Sie eine Private Message an Balrok  Schreiben Sie einen Gästebucheintrag für Balrok

Beiträge: 428
Registriert: 02.06.2005

Win10, 64Bit
AutoCad Architcture 2021
LiNear 2021
EPLAN P8

erstellt am: 09. Mai. 2011 11:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Einfach in die allererste Zeile schreiben?

...mal schauen!

SUPER, es hat funktioniert!!!
Danke!!!

PS. Natürlich hätte ich auch googlen können, aber ich habe
mir gedacht, einen Eintrag in genau dieses Thema ist vielleicht
auch nicht so verkehrt!

Danke, Danke!!!

Balrok

------------------
[ img ]http://ww3.cad.de/foren/ubb/uploads/Balrok/Homer_Bit_Apple.jpg[ /img ]

[Diese Nachricht wurde von Balrok am 09. Mai. 2011 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Caladia
Ehrenmitglied V.I.P. h.c.




Sehen Sie sich das Profil von Caladia an!   Senden Sie eine Private Message an Caladia  Schreiben Sie einen Gästebucheintrag für Caladia

Beiträge: 2546
Registriert: 04.03.2002

ACAD2009
ACAD2010 SP2
ACAD2011 SP1
ABDS-S 2012 SP2
ABDS-S 2013 SP2
ABDS-S 2014 SP1
ABDS-S 2015 SP2
ABDS-S 2016
Expresstools
A3-Makroboard
16-Tasten Lupe
Impression 3
Win7 64bit
IE11
Firefox
Office2003 SP3

erstellt am: 09. Mai. 2011 11:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Balrok 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Balrok:
ich habe mal eine Frage. Gibt es ein Tool (lisp)
womit es mir möglich ist, automatisch die Informationen
einer geschlossenen Polylinie in die Zeichnung zu schreiben?
Z.B. Fläche und Umfang.

Zitat:
Original erstellt von Balrok:
Ich weiß aber wir haben welche die nicht mit ADT arbeiten
und die haben diese Möglichkeit nicht.


So altes ACAD das es dort noch keine Schriftfeldfunktionen gibt?

Gebraucht wird nur eine geschlossenen Polylinie und das Schriftfeld das z.B. Fläche und Umfang ausgibt.
(Macht sich auch gut in einem Raumstempelblock)

Aber warum einfach, wenn es auch komplizierter geht 

------------------
Gruss
Caladia

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bigggi
Mitglied
Bauzeichnerin


Sehen Sie sich das Profil von Bigggi an!   Senden Sie eine Private Message an Bigggi  Schreiben Sie einen Gästebucheintrag für Bigggi

Beiträge: 178
Registriert: 14.02.2006

AutoCad Map2017

erstellt am: 10. Mai. 2011 12:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Balrok 10 Unities + Antwort hilfreich

Hallo,

mal abgesehen davon, dass ich mit Map arbeite und das darüber auch hinbekomme, kann ich auch mit dem Schriftfeld mehrere Objekte auf einmal wählen? Das bekomme ich nämlich nicht hin.

Viele Grüße,
Bigggi

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP


Ex-Mitglied

erstellt am: 10. Mai. 2011 12:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat

Hi,

>> kann ich auch mit dem Schriftfeld mehrere Objekte auf einmal wählen?

Wenn Du mit einem Schriftfeld z.B. die Summenfläche für mehrere Polylinien beschriften willst, dann kannst Du im Schriftfeld die Formel verwenden.

Wenn Du meinst, dass man mit einem Schriftfeld-Aufruf automatisch für 3 Polylinien 3 Texte mit der jeweiligen Fläche erstellt bekommt, dann nein, denn ein Schriftfeld kann nur einen Textinhalt beschreiben.


>> ich mit Map arbeite

Da guck Dir mal FDO an, die Polylinien als Polygon-SDF rausschreiben, dann brauchst Du nur einmal den Stil für den SDF-Layer festlegen und alle Polylinien beschriften sich selbst automatisch. 

- alfred -

------------------
www.hollaus.at

Bigggi
Mitglied
Bauzeichnerin


Sehen Sie sich das Profil von Bigggi an!   Senden Sie eine Private Message an Bigggi  Schreiben Sie einen Gästebucheintrag für Bigggi

Beiträge: 178
Registriert: 14.02.2006

AutoCad Map2017

erstellt am: 10. Mai. 2011 12:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Balrok 10 Unities + Antwort hilfreich

Danke Alfred!
Ja, ich meinte, dass man mit einem Schriftfeld-Aufruf automatisch für 3 Polylinien 3 Texte mit der jeweiligen Fläche erstellt bekommt. Schade, aber dafür hab ich ja mein Map.
Ja, in Map weiß ich wie es geht! Aber ich fand auch diese Funktion ganz nett.
Bigggi

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Herby72
Mitglied
Bautechniker (Hochbau)


Sehen Sie sich das Profil von Herby72 an!   Senden Sie eine Private Message an Herby72  Schreiben Sie einen Gästebucheintrag für Herby72

Beiträge: 17
Registriert: 07.09.2011

AutoCAD R12-2004-2010
Menü AutoCAD klassisch ;-)
XP-Win7

erstellt am: 30. Nov. 2011 14:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Balrok 10 Unities + Antwort hilfreich


ACAD_field.jpg

 
ACHTUNG! Sie antworten auf einen Beitrag der älter als 1 Jahr ist!


Zitat:
Original erstellt von CADmium:

was mit _field ist auch nicht schlecht ...


GENAU ! das hier 

Befehl:  _field   

funktioniert super
z.B. mit Polylinie und m² als Zusatz
(siehe Anhang)

VG

Tom

------------------
545

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

kasbe
Mitglied
Aufmaßdienstleister


Sehen Sie sich das Profil von kasbe an!   Senden Sie eine Private Message an kasbe  Schreiben Sie einen Gästebucheintrag für kasbe

Beiträge: 233
Registriert: 01.04.2006

Precision M7550
Nvidia Quattro RTX 3000
Autocad 2023

erstellt am: 26. Sep. 2016 09:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Balrok 10 Unities + Antwort hilfreich

Diese Field Funktion finde ich ganz interessant.
Wie läßt sich denn das Schriftfeld immer wieder einer anderen Polylinie zuordnen?
Sozusagen mit dem Schriftfeld eine Polylinie picken.


Gruß Kai


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

runkelruebe
Moderator
Straßen- / Tiefbau




Sehen Sie sich das Profil von runkelruebe an!   Senden Sie eine Private Message an runkelruebe  Schreiben Sie einen Gästebucheintrag für runkelruebe

Beiträge: 8075
Registriert: 09.03.2006

Kinder, kauft Kämme!
Es kommen lausige Zeiten.

erstellt am: 26. Sep. 2016 10:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Balrok 10 Unities + Antwort hilfreich

ACHTUNG! Sie antworten auf einen Beitrag der älter als 1 Jahr ist!

Leseempfehlung: http://ww3.cad.de/foren/ubb/Forum145/HTML/002059.shtml

Sowie google-Empfehlung: Autocad schriftfeld eigenschaften verknüpfen site:cad.de


------------------
Gruß,
runkelruebe          Herr Kann-ich-nich wohnt in der Will-ich-nich-Straße...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2023 CAD.de | Impressum | Datenschutz